O'Reilly logo

Programming Elm by Jeremy Fairbank

Stay ahead with the world's most comprehensive technology and business learning platform.

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, tutorials, and more.

Start Free Trial

No credit card required

Install an Older Package Version

The elm install command only installs the latest version of a package. To install an older version of a package, you must change the desired version inside elm.json.

Let’s say you installed elm/http with elm install. It installed version 2.0.0, but you wanted to use version 1.0.0. You can open your elm.json in your editor and change the version of elm/http located in the dependencies.direct field to 1.0.0 like so:

 {
 "type"​: ​"application"​,
 "source-directories"​: [
 "src"
  ],
 "elm-version"​: ​"0.19.0"​,
 "dependencies"​: {
 "direct"​: {
 "elm/browser"​: ​"1.0.1"​,
 "elm/core"​: ​"1.0.2"​,
 "elm/html"​: ​"1.0.0"​,
»"elm/http"​: ​"1.0.0"​,
 "elm/json"​: ​"1.1.3"
  },
 "indirect"

With Safari, you learn the way you learn best. Get unlimited access to videos, live online training, learning paths, books, interactive tutorials, and more.

Start Free Trial

No credit card required